## @id $Id: makefile.am 7 2010-03-01 14:55:44Z marc $
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

qbrowserlibdir=${includedir}/qbrowserlib
qbrowserlib_HEADERS = $(libqbrowserlib_la_UIFILES) buttonlineedit.hxx	\
                      downloadmanager.hxx executor.hxx log.hxx		\
                      saveorrun.hxx swisswebpage.hxx			\
                      swisswebwidget.hxx certs.hxx errorlog.hxx		\
                      filestorage.hxx pluginfactory.hxx settings.hxx	\
                      swisswebview.hxx temporaryfile.hxx

lib_LTLIBRARIES = libqbrowserlib.la

libqbrowserlib_la_MOCFILES = moc_buttonlineedit.cxx moc_errorlog.cxx	\
                             moc_log.cxx moc_settings.cxx		\
                             moc_swisswebwidget.cxx moc_certs.cxx	\
                             moc_executor.cxx moc_pluginfactory.cxx	\
                             moc_swisswebpage.cxx			\
                             moc_temporaryfile.cxx			\
                             moc_downloadmanager.cxx			\
                             moc_filestorage.cxx moc_saveorrun.cxx	\
                             moc_swisswebview.cxx
libqbrowserlib_la_UIFILES = ui_errorlog.hxx ui_log.hxx		\
                            ui_saveorrun.hxx ui_settings.hxx	\
                            ui_swisswebwidget.hxx
libqbrowserlib_la_SOURCES = certs.cxx log.cxx			\
                            ${libqbrowserlib_la_MOCFILES}	\
                            ${libqbrowserlib_la_UIFILES}

BUILT_SOURCES = ${libqbrowserlib_la_MOCFILES}	\
                ${libqbrowserlib_la_UIFILES}

MAINTAINERCLEANFILES = makefile.in
